Google Chrome < 119.0.6045.199 Multiple Vulnerabilities

critical Nessus Plugin ID 186362

Synopsis

A web browser installed on the remote Windows host is affected by multiple vulnerabilities.

Description

The version of Google Chrome installed on the remote Windows host is prior to 119.0.6045.199. It is, therefore, affected by multiple vulnerabilities as referenced in the 2023_11_stable-channel-update-for-desktop_28 advisory.

- Integer overflow in Skia. (CVE-2023-6345)

- Use after free in WebAudio. (CVE-2023-6346)

- Use after free in Mojo. (CVE-2023-6347)

- Type Confusion in Spellcheck. (CVE-2023-6348)

- Out of bounds memory access in libavif. (CVE-2023-6350)

- Use after free in libavif. (CVE-2023-6351)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Google Chrome version 119.0.6045.199 or later.

See Also

http://www.nessus.org/u?be59469a

https://crbug.com/1491459

https://crbug.com/1494461

https://crbug.com/1500856

https://crbug.com/1501766

https://crbug.com/1501770

https://crbug.com/1505053

Plugin Details

Severity: Critical

ID: 186362

File Name: google_chrome_119_0_6045_199.nasl

Version: 1.5

Type: local

Agent: windows

Family: Windows

Published: 11/28/2023

Updated: 12/8/2023

Configuration: Enable thorough checks

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Critical

Score: 9.9

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 8.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS Score Source: CVE-2023-6351

CVSS v3

Risk Factor: Critical

Base Score: 9.6

Temporal Score: 8.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

CVSS Score Source: CVE-2023-6345

Vulnerability Information

CPE: cpe:/a:google:chrome

Required KB Items: SMB/Google_Chrome/Installed

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 11/28/2023

Vulnerability Publication Date: 11/28/2023

CISA Known Exploited Vulnerability Due Dates: 12/21/2023

Reference Information

CVE: CVE-2023-6345, CVE-2023-6346, CVE-2023-6347, CVE-2023-6348, CVE-2023-6350, CVE-2023-6351

IAVA: 2023-A-0660-S